get
https://sandbox.checkhq.com/companies//reports/payroll_summary
Returns the specified payroll summary.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Returns a summary of payroll data for employees within the specified date range, including earnings, taxes, benefits, and deductions.
Response Fields
Each result in the response contains the following structure:
| Field | Description |
|---|---|
| employee | The public ID of the employee (when include_employee_id=true) |
| totals | Aggregate totals for this employee's payroll summary |
Totals Object:
| Field | Description |
|---|---|
| employee_gross | Total gross earnings |
| employee_reimbursements | Total reimbursements |
| employee_net | Net pay after all deductions and taxes |
| company_taxes | Total company-paid taxes |
| employee_taxes | Total employee-paid taxes |
| company_benefits | Total company-paid benefit contributions |
| employee_benefits | Total employee-paid benefit deductions |
| post_tax_deductions | Total post-tax deductions |
Earning Totals (array):
| Field | Description |
|---|---|
| type | Earning type (e.g., hourly, salary) |
| amount | Total amount for this earning type |
| hours | Total hours worked (for hourly earnings) |
| piece_units | Total piece units (for piece-rate earnings) |
Employee Taxes / Company Taxes (arrays):
| Field | Description |
|---|---|
| id | The public ID of the tax |
| description | Human-readable tax name |
| amount | Tax amount |
| taxable_wages | Taxable wages for this tax (when include_taxable_wages=true) |
| gross_taxable_wages | Gross taxable wages for this tax (when include_gross_taxable_wages=true) |
Employee Benefits / Company Benefits (arrays):
| Field | Description |
|---|---|
| type | Benefit type (e.g., 125_medical, 401k) |
| description | Human-readable benefit name |
| amount | Benefit amount |
Post-Tax Deductions (array):
| Field | Description |
|---|---|
| type | Deduction type (e.g., miscellaneous, child_support) |
| description | Human-readable deduction name |
| amount | Deduction amount |
Notes
- Filter by date range using
startandendquery parameters (filters by payday) - Set
include_employee_id=trueto include employee IDs in the response - Set
include_contractors=trueto include contractor payments - Set
include_taxable_wages=trueto include taxable wages for each tax item - Set
include_gross_taxable_wages=trueto include gross taxable wages (before pre-tax deductions, irrespective of wage base) for each tax item - Supports both JSON (
application/json) and CSV (text/csv) response formats via theAcceptheader

